package edu.travel.controller;

import edu.travel.adapter.service.country.LanguageAdapter;
import edu.travel.rpc.RPCBaseResponse;
import edu.travel.vo.LanguageSortVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;

/**
 * 语言表(shop_language)表控制层
 *
 * @author xxxxx
 */
@RestController
@RequestMapping("/shopLanguage")
public class LanguageController {
    @Autowired
    private LanguageAdapter languageAdapter;


    /**
     *  语言列表
     * @return {@link RPCBaseResponse }<{@link Map }<{@link String }, {@link List }<{@link LanguageSortVo }>>>
     */
    @GetMapping("/getLanguageSort")
    public RPCBaseResponse<Map<String, List<LanguageSortVo>>> getLanguageSort() {
        return languageAdapter.getLanguageSort();
    }

}
